# Build configuration

%global debug_package %{nil}

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 0
%endif

%bcond_without examples

# Versioning

%define qtmajor 6
%define qtminor 8
%define qtsubminor 3
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtlanguageserver-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtlanguageserver_d %mklibname qt%{qtmajor}languageserver -d

Name:           qtlanguageserver6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} language server protocol component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  qtbase6-devel = %{version}
BuildRequires:  qtbase6-qtpaths

Provides:       qt%{qtmajor}-qtlanguageserver = %{version}-%{release}

%description
Qt%{qtmajor} language server protocol defines a set of JSON-RPC request,
response and notification messages which are exchanged using the above base
protocol.

%files
%license LICENSES/*
%{_qt6_archdatadir}/sbom/qtlanguageserver-%{qtversion}.spdx

#------------------------------------------------------------------------------

%package -n %{libqtlanguageserver_d}
Summary:        Devel files needed to build apps based on QtLanguageServer
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}-devel-static = %{version}-%{release}
Provides:       qt6languageserver-devel = %{version}
Provides:       qt%{qtmajor}-qtlanguageserver-devel = %{version}-%{release}

%description -n %{libqtlanguageserver_d}
Devel files needed to build apps based on Qt LanguageServer.

%files -n %{libqtlanguageserver_d}
%{_qt6_headerdir}/QtLanguageServer/
%{_qt6_libdir}/libQt%{qtmajor}LanguageServer.a
%{_qt6_libdir}/cmake/Qt%{qtmajor}LanguageServerPrivate/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_languageserver_private.pri
%{_qt6_libdir}/libQt%{qtmajor}LanguageServer.prl
%{_qt6_libdir}/qt6/modules/*.json
#
%{_qt6_headerdir}/QtJsonRpc/
%{_qt6_libdir}/libQt%{qtmajor}JsonRpc.a
%{_qt6_libdir}/cmake/Qt%{qtmajor}JsonRpcPrivate/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_jsonrpc_private.pri
%{_qt6_libdir}/libQt%{qtmajor}JsonRpc.prl
#
%{_qt6_libdir}/cmake/Qt%{qtmajor}BuildInternals/*/*.cmake
%{_qt6_libdir}/qt6/metatypes/qt%{qtmajor}*_metatypes.json

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary:        QtLanguageServer%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtLanguageServer%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt6_docdir}/qtlanguageserver.qch
%{_qt6_docdir}/qtlanguageserver/
%endif

#------------------------------------------------------------------------------

%prep
%setup -q -n qtlanguageserver-everywhere-src-%{qtversion}

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}

%cmake_build

%if %{build_docs}
%ninja_build -C build docs
%endif

%install
%cmake_install

%if %{build_docs}
%ninja_install -C build install_docs
%endif


%changelog
* Wed Mar 26 2025 daviddavid <daviddavid> 6.8.3-1.mga10
+ Revision: 2170081
- New version 6.8.3

* Tue Dec 17 2024 daviddavid <daviddavid> 6.8.1-2.mga10
+ Revision: 2125861
- devel sub-pkg requires main pkg

* Tue Dec 17 2024 daviddavid <daviddavid> 6.8.1-1.mga10
+ Revision: 2125856
- New version 6.8.1

* Sat Oct 05 2024 daviddavid <daviddavid> 6.7.3-1.1.mga10
+ Revision: 2103596
- New version 6.7.3
- enable docs building

* Wed Jul 31 2024 daviddavid <daviddavid> 6.7.2-1.mga10
+ Revision: 2083094
- New version 6.7.2

* Tue Jun 11 2024 daviddavid <daviddavid> 6.7.1-2.mga10
+ Revision: 2072522
- rebuild for 'Qt_$MAJOR_PRIVATE_API' settings

* Tue May 21 2024 daviddavid <daviddavid> 6.7.1-1.mga10
+ Revision: 2065794
- New version 6.7.1

* Thu Feb 15 2024 daviddavid <daviddavid> 6.6.2-1.mga10
+ Revision: 2041630
- New version 6.6.2

* Thu Oct 19 2023 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 1999035
- New version 6.6.0

* Sun Sep 10 2023 neoclust <neoclust> 6.5.2-1.mga10
+ Revision: 1985713
- New version 6.5.2

* Tue Dec 27 2022 daviddavid <daviddavid> 6.4.1-3.mga9
+ Revision: 1927059
- build examples

* Fri Dec 16 2022 daviddavid <daviddavid> 6.4.1-2.mga9
+ Revision: 1923510
- libify pkgs as it should
- own some include and lib dir
- update descriptions and summaries

* Thu Dec 15 2022 neoclust <neoclust> 6.4.1-1.mga9
+ Revision: 1923045
- New version 6.4.1

* Fri Sep 30 2022 neoclust <neoclust> 6.4.0-1.mga9
+ Revision: 1893436
- New version 6.4.0

* Sun Aug 28 2022 papoteur <papoteur> 6.3.1-1.mga9
+ Revision: 1881460
- imported package qtlanguageserver6

